Bug 1301370 - [abrt] mtools: _mwrite_one(): mtools killed by SIGSEGV
[abrt] mtools: _mwrite_one(): mtools killed by SIGSEGV
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: mtools (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Kaspar [Dee'Kej]
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:158a3f5c9540c52c685ce01c42f...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-24 10:35 EST by nost
Modified: 2018-05-03 05:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:40:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.15 KB, text/plain)
2016-01-24 10:35 EST, nost
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-24 10:35 EST, nost
no flags Details
File: core_backtrace (2.61 KB, text/plain)
2016-01-24 10:35 EST, nost
no flags Details
File: dso_list (485 bytes, text/plain)
2016-01-24 10:35 EST, nost
no flags Details
File: environ (3.33 KB, text/plain)
2016-01-24 10:35 EST, nost
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-24 10:35 EST, nost
no flags Details
File: maps (2.18 KB, text/plain)
2016-01-24 10:35 EST, nost
no flags Details
File: mountinfo (6.48 KB, text/plain)
2016-01-24 10:35 EST, nost
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-24 10:35 EST, nost
no flags Details
File: open_fds (295 bytes, text/plain)
2016-01-24 10:35 EST, nost
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2016-01-24 10:35 EST, nost
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-01-24 10:35 EST, nost
no flags Details

  None (edit)
Description nost 2016-01-24 10:35:11 EST
Description of problem:
1] connect USB flash drive
2] try upgrade syslinux on it [6.02 -> 6.03, installed with AVG Rescue CD Flash installer]
# syslinux -i /dev/sdX1
3] syslinux is working, but fsck finds 2 errors: dirty bit and MBR master vs backup mismatch.

And propably another bug: Fsck repair attempts seems doing nothing. Tried 3 times or so and error persists.

Version-Release number of selected component:
mtools-4.0.18-7.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        mmove -D o -D O s:/ldlinux.sys s:/=/ldlinux.sys
crash_function: _mwrite_one
executable:     /usr/bin/mtools
global_pid:     28378
kernel:         4.2.8-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 _mwrite_one at mk_direntry.c:538
 #1 mwrite_one at mk_direntry.c:655
 #2 rename_file at mmove.c:147
 #3 handle_leaf at mainloop.c:241
 #4 recurs_dos_loop at mainloop.c:406
 #5 common_dos_loop at mainloop.c:454
 #6 dos_loop at mainloop.c:467
 #7 main_loop at mainloop.c:565
 #8 mmove at mmove.c:322

Potential duplicate: bug 987856
Comment 1 nost 2016-01-24 10:35:17 EST
Created attachment 1117605 [details]
File: backtrace
Comment 2 nost 2016-01-24 10:35:18 EST
Created attachment 1117606 [details]
File: cgroup
Comment 3 nost 2016-01-24 10:35:20 EST
Created attachment 1117607 [details]
File: core_backtrace
Comment 4 nost 2016-01-24 10:35:22 EST
Created attachment 1117608 [details]
File: dso_list
Comment 5 nost 2016-01-24 10:35:23 EST
Created attachment 1117609 [details]
File: environ
Comment 6 nost 2016-01-24 10:35:25 EST
Created attachment 1117610 [details]
File: limits
Comment 7 nost 2016-01-24 10:35:26 EST
Created attachment 1117611 [details]
File: maps
Comment 8 nost 2016-01-24 10:35:28 EST
Created attachment 1117612 [details]
File: mountinfo
Comment 9 nost 2016-01-24 10:35:29 EST
Created attachment 1117613 [details]
File: namespaces
Comment 10 nost 2016-01-24 10:35:32 EST
Created attachment 1117614 [details]
File: open_fds
Comment 11 nost 2016-01-24 10:35:34 EST
Created attachment 1117615 [details]
File: proc_pid_status
Comment 12 nost 2016-01-24 10:35:35 EST
Created attachment 1117616 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-07-19 14:40:44 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 Fedora End Of Life 2017-07-25 15:50:38 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2018-05-03 04:04:43 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.